% fix_components
graphs = {'cit-Patents.smat-sym','web-Google.smat-sym', 'as-skitter.smat', 'lcsh.smat','dico.smat-sym','email-Enron.smat'};
for gi = 1:length(graphs)
    g = graphs{gi};
    A = readSMAT(g);
    [ci sizes] = scomponents(A);
    [csize cind] = max(sizes);
    p = ci==cind;
    Acc = A(p,p);
    writeSMAT([g '-cc'],Acc,struct('format','%i'));
end
    
    
    