function [A,xy] = cycle_graph(n);
% CYCLE_GRAPH Construct a cycle graph
% [A,xy] = cycle_graph(n);

e = ones(n,1);
A = spdiags([e e], [-1,1],n,n);
A(1,n) = 1;
A(n,1) = 1;
i = 1:n;
xy = [cos(2*pi*(i./n))' sin(2*pi*(i./n))'];