#!/bin/bash

graph=$1
tmpdir=.
if [ $# -gt 1 ]; then
  tmpdir=$2
fi

OVERLAPS="1 2 5 10 30"

for overlap in $OVERLAPS; do
    # graph extension cluster_maxvol final_maxvol expand overlap
    bash run_hypercluster.sh $graph -tiny.$overlap 10000 0.1 1 $overlap $tmpdir &
    bash run_hypercluster.sh $graph -small.$overlap 10000 0.1 25 $overlap $tmpdir &
    bash run_hypercluster.sh $graph -med.$overlap 10000 0.1 150 $overlap $tmpdir &
    bash run_hypercluster.sh $graph -big.$overlap 0.1 0.025 5 $overlap $tmpdir &
    wait 
done    
