%% Show the overlapping clusters on the large circle
addpath('../../matlab');
%%
name = 'randgeom-circ-1000000';
datadir = '../../data';
A = readSMAT([fullfile(datadir,name) '.smat']);
xy = load([fullfile(datadir,name) '.xy']);
%%
%H = hypercluster(A,'maxvol',0.1);
%C = containment(A,H);
C = readSMAT([name '.smat-small.cores']);
%%
clf; hold on;
%[lx,ly]=gplot(A,xy); 
h=plot(lx,ly,'k.','LineWidth',0.5);
axis square;


ci = 11;
    [i,hverts,probs] = find(C(ci,:));
    xys = xy(hverts,:);
    scatter(xys(:,1),xys(:,2),0.1,probs,'filled')
    %plot(xys(:,1), xys(:,2),'r.','MarkerSize',15);
h=plot(lx,ly,'k.','LineWidth',0.5);
colorbar;