---
title: "Overlapping clusters for distributed computation"
layout: project
---

Overlapping clusters for distributed computation
================================================

### Reid Andersen
### David F. Gleich
### Vahab Mirrokni

_These codes are research prototypes and may not work for you. No promises. But do email if you run into problems._

Download
--------

* [overlapping-small.tar.gz](overlapping-small.tar.gz) (February 10, 2012)

Description
-----------

This code involves an unfortunate amount of setup; it also utilizes
features of the new C++ standard that make it brittle with respect to
compiler versions.  The original codes used `g++-4.3`; newer versions
may require slight changes.  

The metis patch is for a beta release of Metis 5.0.  I need to update
it for the final version.  

Compiling
---------

    cd overlap_clusters
    make

You may need to edit Makefile.inc to add `--std=c++0x` on linux

Please do email if that does not work on your platform. 

Using
-----

The easiest thing to do is to use the Matlab interface and follow
`experiments/overlapping_example/overlapping_figure_demo.m`

You need to run `setup_matlab_paths` in the main directory to add
the relevant paths to Matlab.


