% symmetrize graphs
% Metis wants symmetric graphs, so let's make them symmetric...
% It's easier here than elsewhere.
addpath('../matlab');
graphs = {'soc-Slashdot0811.smat', 'web-Google.smat', 'cit-Patents.smat', 'dico.smat'};
for gi = 1:length(graphs)
    g = graphs{gi};
    A = readSMAT(g);
    A = A|A';
    writeSMAT([g '-sym'], A, struct('format','%i'));
end