#!/bin/bash

graph=$1
method=$2
tmpdir=.
if [ $# -gt 2 ]; then
  tmpdir=$3
fi

../../overlap-clusters/bin/average-swaps ../../data/$graph $tmpdir/$graph$method.cores $tmpdir/$graph$method.swaps 10000 500 > $tmpdir/$graph$method.swaps.run

../../overlap-clusters/bin/pagerank-communication ../../data/$graph $tmpdir/$graph$method.cores $tmpdir/$graph$method.prvec $tmpdir/$graph$method.prhist


python ../../overlap-clusters/evaluate_clustering.py ../../data/$graph $tmpdir/$graph$method.cores $graph$method.cores.estats

# evaluate the hypercluster if it exists too
if [ -e $tmpdir/$graph$method.hcluster ]; then
  python ../../overlap-clusters/evaluate_clustering.py ../../data/$graph $tmpdir/$graph$method.hcluster $graph$method.hcluster.estats
fi

python evaluate-cover.py ../../data/$graph $tmpdir/$graph$method.cores $tmpdir/$graph$method.swaps $tmpdir/$graph$method.prhist > $graph$method.report



