#!/bin/bash

graph=$1
tmpdir=.
if [ $# -gt 1 ]; then
  tmpdir=$2
fi

maxvol=0.1
methodext=-graclus.part.10

(time python ../../overlap-clusters/cluster_graclus.py \
    --maxvol $maxvol --out $tmpdir/$graph$methodext.hcluster \
    ../../data/$graph.graph) \
  2> $tmpdir/$graph$methodext.hcluster.time \
  > $tmpdir/$graph$methodext.hcluster.run

(time ../../overlap-clusters/bin/cover-combine \
    ../../data/$graph $tmpdir/$graph$methodext.hcluster $maxvol \
    $tmpdir/$graph$methodext.cores) \
  2> $tmpdir/$graph$methodext.cores.time \
  >  $tmpdir/$graph$methodext.cores.run 

bash evaluate_overlap.sh $graph $methodext $tmpdir

