#!/bin/bash

graph=$1
tmpdir=.
if [ $# -gt 1 ]; then
  tmpdir=$2
fi

NRUNS="2 4 10"

bash run_metis.sh $graph -metis.part.10 0.1 0.1 1 $tmpdir

for nrun in $NRUNS; do

  bash run_metis.sh $graph -metis-small-$nrun 10000 0.1 $nrun $tmpdir
  
done


