%% Show the overlapping clusters on the commanche
addpath('../../matlab');
%%
name = 'Pothen_commanche_dual';
datadir = '../../data';
A = readSMAT([fullfile(datadir,name) '.smat']);
xyz = load([fullfile(datadir,name) '.xyz']);
%%
%H = hypercluster(A,'maxvol',0.1);
%C = containment(A,H);
C = readSMAT([name '.smat-small.cores']);
%%
clf;
clusters = size(C,1);
for ci=1:clusters
    scatter3(xyz(:,1),xyz(:,2),xyz(:,3),[],full(C(ci,:)));
    pause
end