function [A,xy]=butterfly_graph(N)
% Create a graph with a butterfly hole in the middle.

n = floor(sqrt(N))-2;
G = numgrid('B',n);

A = spones(delsq(G));
[gi,gj,gv] = find(G);
xy = zeros(size(A,1),2);
xy(gv,1) = gi;
xy(gv,2) = gj;


