% write out different core files for the tapir graph
%%
% one cluster 
C = ones(1,1024);
writeSMAT('tapir.cores.1',C,struct('format','%i'));

%%
% two clusters with no overlap
C = [ones(1,512),zeros(1,512);
     zeros(1,512),ones(1,512)];
writeSMAT('tapir.cores.2.part',C,struct('format','%i'));
%% 
% two clusters with overlap
C = [ones(1,512) -ones(1,256) zeros(1,256);
     zeros(1,256) -ones(1,256) ones(1,512)];
 writeSMAT('tapir.cores.2.overlap',C,struct('format','%i'));